Bug 227726 - multimedia/ffmpeg: update to 4.0
Summary: multimedia/ffmpeg: update to 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-multimedia mailing list
URL: https://git.ffmpeg.org/gitweb/ffmpeg....
Keywords: patch, security
Depends on: 227345 207547 227745 227748
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-23 20:19 UTC by Jan Beich
Modified: 2018-11-07 03:39 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (multimedia)
jbeich: maintainer-feedback? (cpm)
jbeich: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 commit-hook freebsd_committer 2018-04-24 00:17:04 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 00:16:15 UTC 2018
New revision: 468156
URL: https://svnweb.freebsd.org/changeset/ports/468156

Log:
  emulators/rpcs3: unbreak with ffmpeg 4.0 by updating to 0.0.5.215

  rpcs3/Emu/Cell/Modules/cellAdec.cpp:232:40: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
                                                          data = (u8*)av_calloc(1, size + FF_INPUT_BUFFER_PADDING_SIZE);
                                                                                          ^
  rpcs3/Emu/Cell/Modules/cellAdec.cpp:233:28: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
                                                          this->size = size + FF_INPUT_BUFFER_PADDING_SIZE;
                                                                              ^
      ^

  Changes:	https://github.com/RPCS3/rpcs3/compare/eb3dfb6bb...bd1d4de42
  PR:		227726

Changes:
  head/emulators/rpcs3/Makefile
  head/emulators/rpcs3/distinfo
Comment 2 commit-hook freebsd_committer 2018-04-24 00:18:07 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 00:17:35 UTC 2018
New revision: 468157
URL: https://svnweb.freebsd.org/changeset/ports/468157

Log:
  graphics/opencv: unbreak with ffmpeg 4.0

  In file included from modules/highgui/src/cap_ffmpeg.cpp:45:
  modules/highgui/src/cap_ffmpeg_impl.hpp:1481:21: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
          c->flags |= CODEC_FLAG_GLOBAL_HEADER;
                      ^
  modules/highgui/src/cap_ffmpeg_impl.hpp:1505:30: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
      if (oc->oformat->flags & AVFMT_RAWPICTURE) {
                               ^
  modules/highgui/src/cap_ffmpeg_impl.hpp:1679:35: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
          if( (oc->oformat->flags & AVFMT_RAWPICTURE) == 0 )
                                    ^
  modules/highgui/src/cap_ffmpeg_impl.hpp:1913:32: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
      if (!(oc->oformat->flags & AVFMT_RAWPICTURE)) {
                                 ^
  modules/highgui/src/cap_ffmpeg_impl.hpp:2207:25: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
              c->flags |= CODEC_FLAG_GLOBAL_HEADER;
                          ^

  PR:		227726
  Obtained from:	upstream (via Homebrew)

Changes:
  head/graphics/opencv/files/patch-modules_highgui_src_cap__ffmpeg__impl.hpp
Comment 3 commit-hook freebsd_committer 2018-04-24 00:18:09 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 00:17:54 UTC 2018
New revision: 468158
URL: https://svnweb.freebsd.org/changeset/ports/468158

Log:
  graphics/openimageio: unbreak with ffmpeg 4.0

  src/ffmpeg.imageio/ffmpeginput.cpp:333:72: error: use of undeclared identifier 'CODEC_CAP_DELAY'
      m_codec_cap_delay = (bool) (m_codec_context->codec->capabilities & CODEC_CAP_DELAY);
                                                                         ^

  PR:		227726
  Obtained from:	upstream

Changes:
  head/graphics/openimageio/files/patch-src_ffmpeg.imageio_ffmpeginput.cpp
Comment 4 commit-hook freebsd_committer 2018-04-24 00:19:12 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 00:18:15 UTC 2018
New revision: 468159
URL: https://svnweb.freebsd.org/changeset/ports/468159

Log:
  www/firefox: unbreak h264/aac/mp3 with ffmpeg 4.0

  PR:		227726
  Obtained from:	upstream

Changes:
  head/www/firefox/Makefile
  head/www/firefox/files/patch-bug1435212
  head/www/waterfox/Makefile
  head/www/waterfox/files/patch-bug1435212
Comment 5 commit-hook freebsd_committer 2018-04-24 00:19:14 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 00:18:52 UTC 2018
New revision: 468161
URL: https://svnweb.freebsd.org/changeset/ports/468161

Log:
  lang/beignet: install CL/cl_inet.h

  /tmp/ffconf.XXXXXXXX/test.c:1:10: fatal error: 'CL/cl_intel.h' file not found
   #include <CL/cl_intel.h>
            ^~~~~~~~~~~~~~~

  https://git.ffmpeg.org/gitweb/ffmpeg.git/commitdiff/ac993e73deca

  PR:		227726

Changes:
  head/lang/beignet/Makefile
  head/lang/beignet/pkg-plist
Comment 6 Jan Beich freebsd_committer 2018-04-24 00:37:00 UTC
Err, comment 5 was supposed to reference when Cl/cl_intel.h was first used.

https://git.ffmpeg.org/gitweb/ffmpeg.git/commitdiff/eb3e9f469a52
Comment 7 Jan Beich freebsd_committer 2018-04-24 01:42:13 UTC
Can you check how many consumers break?

### /usr/local/etc/poudriere.d/PR227726-make.conf ###
OPTIONS_SET              += FFMPEG
audio_libsoxr_SET        += AVFFT
graphics_pqiv_SET        += LIBAV
multimedia_tvheadend_SET += TRANSCODING
net_freeswitch_SET       += ALL_MODULES
www_nginx_SET            += HTTP_VIDEO_THUMBEXTRACTOR
www_nginx-devel_SET      += HTTP_VIDEO_THUMBEXTRACTOR
Comment 8 commit-hook freebsd_committer 2018-04-24 13:57:23 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 13:56:29 UTC 2018
New revision: 468203
URL: https://svnweb.freebsd.org/changeset/ports/468203

Log:
  graphics/gegl: unbreak with ffmpeg 4.0

  ./ff-load.c:312:36: error: use of undeclared identifier 'CODEC_CAP_TRUNCATED'
        if (p->codec->capabilities & CODEC_CAP_TRUNCATED)
                                     ^
  ./ff-load.c:313:26: error: use of undeclared identifier 'CODEC_FLAG_TRUNCATED'
          p->enc->flags |= CODEC_FLAG_TRUNCATED;

  PR:		227726

Changes:
  head/graphics/gegl/files/patch-operations_external_ff-load.c
Comment 9 commit-hook freebsd_committer 2018-04-24 13:57:25 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 13:56:41 UTC 2018
New revision: 468204
URL: https://svnweb.freebsd.org/changeset/ports/468204

Log:
  graphics/gegl3: unbreak with ffmpeg 4.0

  ./ff-save.c:293:17: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
      c->flags |= CODEC_FLAG_GLOBAL_HEADER;
                  ^
  ./ff-save.c:634:18: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
       c->flags |= CODEC_FLAG_GLOBAL_HEADER;
                   ^
  ./ff-save.c:702:30: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
    if (!(oc->oformat->flags & AVFMT_RAWPICTURE))
                               ^
  ./ff-save.c:806:28: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
    if (oc->oformat->flags & AVFMT_RAWPICTURE)
                             ^

  PR:		227726

Changes:
  head/graphics/gegl3/files/
  head/graphics/gegl3/files/patch-operations_external_ff-save.c
Comment 10 commit-hook freebsd_committer 2018-04-24 13:57:27 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 13:56:53 UTC 2018
New revision: 468205
URL: https://svnweb.freebsd.org/changeset/ports/468205

Log:
  audio/cmus: unbreak with ffmpeg 4.0

  checking for FFMPEG_LIBS (pkg-config)... -L/usr/local/lib -lavformat -lavcodec
  checking for FFMPEG_CFLAGS (pkg-config)... -I/usr/local/include
  checking for header <libavcodec/avcodec.h>... yes
  checking for successful build of ffmpeg.c... no
  [...]
  ip/ffmpeg.c:255:29: error: use of undeclared identifier 'CODEC_CAP_TRUNCATED'
                  if (codec->capabilities & CODEC_CAP_TRUNCATED)
                                            ^
  ip/ffmpeg.c:256:17: error: use of undeclared identifier 'CODEC_FLAG_TRUNCATED'
                          cc->flags |= CODEC_FLAG_TRUNCATED;
                                       ^

  PR:		227726
  Obtained from:	upstream (via Greg V)

Changes:
  head/audio/cmus/files/patch-ip_ffmpeg.c
Comment 11 commit-hook freebsd_committer 2018-04-24 13:57:30 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 13:57:04 UTC 2018
New revision: 468206
URL: https://svnweb.freebsd.org/changeset/ports/468206

Log:
  audio/moc: unbreak with ffmpeg 4.0

  ffmpeg.c:996:34: error: use of undeclared identifier 'CODEC_CAP_TRUNCATED'
          if (data->codec->capabilities & CODEC_CAP_TRUNCATED)
                                          ^
  ffmpeg.c:997:23: error: use of undeclared identifier 'CODEC_FLAG_TRUNCATED'
                  data->enc->flags |= CODEC_FLAG_TRUNCATED;
                                      ^
  ffmpeg.c:1028:34: error: use of undeclared identifier 'CODEC_CAP_DELAY'
          if (data->codec->capabilities & CODEC_CAP_DELAY)
                                          ^

  PR:		227726
  Obtained from:	Greg V

Changes:
  head/audio/moc/files/
  head/audio/moc/files/patch-decoder__plugins_ffmpeg_ffmpeg.c
Comment 12 commit-hook freebsd_committer 2018-04-24 13:57:32 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 13:57:16 UTC 2018
New revision: 468207
URL: https://svnweb.freebsd.org/changeset/ports/468207

Log:
  devel/renpy6: unbreak with ffmpeg 4.0

  ffdecode.c:840:67: error: use of undeclared identifier 'CODEC_CAP_DELAY'
                  if (!pkt_temp->data && dec->codec->capabilities & CODEC_CAP_DELAY)
                                                                    ^
  ffdecode.c:1246:29: error: use of undeclared identifier 'CODEC_FLAG2_FAST'
      if(fast) enc->flags2 |= CODEC_FLAG2_FAST;
                              ^

  PR:		227726

Changes:
  head/devel/renpy6/files/patch-module_ffdecode.c
Comment 13 commit-hook freebsd_committer 2018-04-24 13:58:35 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 13:57:29 UTC 2018
New revision: 468208
URL: https://svnweb.freebsd.org/changeset/ports/468208

Log:
  emulators/ppsspp: unbreak with ffmpeg 4.0

  Core/HLE/sceMpeg.cpp:890:27: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
                  u8* str = new u8[size + FF_INPUT_BUFFER_PADDING_SIZE];
                                          ^
  Core/HLE/sceMpeg.cpp:892:25: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
                  memset(str + size, 0, FF_INPUT_BUFFER_PADDING_SIZE);
                                        ^
  Core/HLE/sceMpeg.cpp:893:11: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
                  size += FF_INPUT_BUFFER_PADDING_SIZE;
                          ^

  PR:		227726
  Obtained from:	upstream

Changes:
  head/emulators/ppsspp/Makefile
  head/emulators/ppsspp/distinfo
Comment 14 commit-hook freebsd_committer 2018-04-24 13:58:38 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 13:57:45 UTC 2018
New revision: 468209
URL: https://svnweb.freebsd.org/changeset/ports/468209

Log:
  www/seamonkey: unbreak h264/aac/mp3 with ffmpeg 4.0

  PR:		227726
  Obtained from:	upstream (Firefox 61)

Changes:
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/files/patch-bug1435212
  head/www/firefox-esr/Makefile
  head/www/firefox-esr/files/patch-bug1435212
  head/www/seamonkey/Makefile
  head/www/seamonkey/files/patch-bug1435212
Comment 15 commit-hook freebsd_committer 2018-04-24 13:58:40 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 13:58:03 UTC 2018
New revision: 468210
URL: https://svnweb.freebsd.org/changeset/ports/468210

Log:
  www/palemoon: unbreak h264/aac/mp3 with ffmpeg 4.0

  PR:		227726
  Obtained from:	upstream (Firefox 61)

Changes:
  head/www/libxul/Makefile
  head/www/libxul/files/patch-bug1435212
  head/www/palemoon/Makefile
  head/www/palemoon/files/patch-bug1435212
Comment 16 commit-hook freebsd_committer 2018-04-24 13:58:42 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 13:58:16 UTC 2018
New revision: 468211
URL: https://svnweb.freebsd.org/changeset/ports/468211

Log:
  www/chromium: unbreak with ffmpeg 4.0

  ../../media/ffmpeg/ffmpeg_common.cc:36:1: error: static_assert failed "DecoderBuffer padding size does not fit ffmpeg requirement"
  static_assert(DecoderBuffer::kPaddingSize >= AV_INPUT_BUFFER_PADDING_SIZE,
  ^             ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		227726
  Obtained from:	upstream

Changes:
  head/www/chromium/Makefile
  head/www/chromium/files/patch-media_base_decoder__buffer.h
Comment 17 commit-hook freebsd_committer 2018-04-24 15:30:10 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 15:29:35 UTC 2018
New revision: 468217
URL: https://svnweb.freebsd.org/changeset/ports/468217

Log:
  audio/pianobar: unbreak with ffmpeg 4.0

  In file included from src/main.c:53:
  In file included from src/main.h:30:
  src/player.h:37:10: fatal error: 'libavfilter/avfiltergraph.h' file not found
   #include <libavfilter/avfiltergraph.h>
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		227726
  Obtained from:	upstream (via Homebrew)

Changes:
  head/audio/pianobar/Makefile
  head/audio/pianobar/distinfo
Comment 18 commit-hook freebsd_committer 2018-04-24 16:39:23 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 16:39:11 UTC 2018
New revision: 468220
URL: https://svnweb.freebsd.org/changeset/ports/468220

Log:
  games/moonlight-embedded: unbreak with ffmpeg 4.0

  src/video/ffmpeg.c:99:27: error: use of undeclared identifier 'CODEC_FLAG_LOW_DELAY'
      decoder_ctx->flags |= CODEC_FLAG_LOW_DELAY;
                            ^
  src/video/sdl.c:43:48: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
    ffmpeg_buffer = malloc(DECODER_BUFFER_SIZE + FF_INPUT_BUFFER_PADDING_SIZE);
                                                 ^

  PR:		227726

Changes:
  head/games/moonlight-embedded/files/patch-ffmpeg4
Comment 19 commit-hook freebsd_committer 2018-04-24 17:44:32 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 17:44:13 UTC 2018
New revision: 468224
URL: https://svnweb.freebsd.org/changeset/ports/468224

Log:
  emulators/kcemu: unbreak with ffmpeg 4.0

  ffmpeg.cc:83:30: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
      _stream->codec->flags |= CODEC_FLAG_GLOBAL_HEADER;
                               ^

  PR:		227726

Changes:
  head/emulators/kcemu/files/patch-src-ui-gtk-ffmpeg.cc
Comment 20 commit-hook freebsd_committer 2018-04-24 17:44:35 UTC
A commit references this bug:

Author: jbeich
Date: Tue Apr 24 17:44:27 UTC 2018
New revision: 468225
URL: https://svnweb.freebsd.org/changeset/ports/468225

Log:
  emulators/vice: unbreak with ffmpeg 4.0

  ffmpegdrv.c:363:34: error: use of undeclared identifier 'CODEC_CAP_VARIABLE_FRAME_SIZE'
      if (c->codec->capabilities & CODEC_CAP_VARIABLE_FRAME_SIZE) {
                                   ^
  ffmpegdrv.c:457:21: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
          c->flags |= CODEC_FLAG_GLOBAL_HEADER;
                      ^
  ffmpegdrv.c:790:21: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
          c->flags |= CODEC_FLAG_GLOBAL_HEADER;
                      ^
  ffmpegdrv.c:970:40: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
      if (ffmpegdrv_oc->oformat->flags & AVFMT_RAWPICTURE) {
                                         ^

  PR:		227726

Changes:
  head/emulators/vice/files/patch-src_gfxoutputdrv_ffmpegdrv.c
Comment 21 commit-hook freebsd_committer 2018-04-27 10:39:32 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 27 10:39:10 UTC 2018
New revision: 468417
URL: https://svnweb.freebsd.org/changeset/ports/468417

Log:
  multimedia/QtAV: unbreak with ffmpeg 4.0

  In file included from /wrkdirs/usr/ports/multimedia/QtAV/work/QtAV-1.12.0/src/AudioResamplerFF.cpp:23:
  In file included from /wrkdirs/usr/ports/multimedia/QtAV/work/QtAV-1.12.0/src/AudioResamplerTemplate.cpp:24:
  In file included from /wrkdirs/usr/ports/multimedia/QtAV/work/QtAV-1.12.0/src/QtAV/private/AudioResampler_p.h:26:
  src/QtAV/private/AVCompat.h:82:10: fatal error: 'libavfilter/avfiltergraph.h' file not found
   #include <libavfilter/avfiltergraph.h> /*code is here for old version*/
            ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		227726
  Obtained from:	upstream

Changes:
  head/multimedia/QtAV/files/patch-ffmpeg4
Comment 22 commit-hook freebsd_committer 2018-04-27 10:40:35 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 27 10:39:32 UTC 2018
New revision: 468418
URL: https://svnweb.freebsd.org/changeset/ports/468418

Log:
  graphics/blender: unbreak with ffmpeg 4.0

  intern/audaspace/ffmpeg/AUD_FFMPEGReader.cpp:267:49: error: use of undeclared identifier 'FF_MIN_BUFFER_SIZE'
          m_membuf = reinterpret_cast<data_t*>(av_malloc(FF_MIN_BUFFER_SIZE + FF_INPUT_BUFFER_PADDING_SIZE));
                                                         ^
  intern/audaspace/ffmpeg/AUD_FFMPEGReader.cpp:267:70: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
          m_membuf = reinterpret_cast<data_t*>(av_malloc(FF_MIN_BUFFER_SIZE + FF_INPUT_BUFFER_PADDING_SIZE));
                                                                              ^
  intern/audaspace/ffmpeg/AUD_FFMPEGReader.cpp:269:47: error: use of undeclared identifier 'FF_MIN_BUFFER_SIZE'
          m_aviocontext = avio_alloc_context(m_membuf, FF_MIN_BUFFER_SIZE, 0, this,
                                                       ^

  PR:		227726
  Obtained from:	Arch Linux

Changes:
  head/graphics/blender/files/patch-ffmpeg4
Comment 23 commit-hook freebsd_committer 2018-04-27 11:10:00 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 27 11:09:29 UTC 2018
New revision: 468419
URL: https://svnweb.freebsd.org/changeset/ports/468419

Log:
  x11/xpra: unbreak with ffmpeg 4.0

  xpra/codecs/dec_avcodec2/decoder.c:5656:72: error: use of undeclared identifier 'CODEC_FLAG2_FAST'
    __pyx_v_self->codec_ctx->flags2 = (__pyx_v_self->codec_ctx->flags2 | CODEC_FLAG2_FAST);
                                                                         ^

  PR:		227726
  Obtained from:	upstream

Changes:
  head/x11/xpra/files/patch-xpra_codecs_dec__avcodec2_decoder.pyx
  head/x11/xpra/files/patch-xpra_codecs_enc__ffmpeg_encoder.pyx
Comment 24 commit-hook freebsd_committer 2018-04-27 12:53:32 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 27 12:53:23 UTC 2018
New revision: 468425
URL: https://svnweb.freebsd.org/changeset/ports/468425

Log:
  multimedia/vlc: unbreak with ffmpeg 4.0

  codec/avcodec/audio.c:99:37: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
                  av_malloc( i_size + FF_INPUT_BUFFER_PADDING_SIZE );
                                      ^
  codec/avcodec/subtitle.c:147:50: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
                                 block->i_buffer + FF_INPUT_BUFFER_PADDING_SIZE);
                                                   ^
  codec/avcodec/video.c:254:36: error: use of undeclared identifier 'CODEC_FLAG_GRAY'
          p_sys->p_context->flags |= CODEC_FLAG_GRAY;
                                     ^
  codec/avcodec/encoder.c:525:20: error: no member named 'border_masking' in 'struct AVCodecContext'
          p_context->border_masking = p_sys->f_border_masking;
          ~~~~~~~~~  ^

  codec/avcodec/encoder.c:534:45: error: use of undeclared identifier 'FF_MAX_B_FRAMES'
              VLC_CLIP( p_sys->i_b_frames, 0, FF_MAX_B_FRAMES );
                                              ^
  codec/avcodec/encoder.c:642:45: error: no member named 'lmin' in 'struct AVCodecContext'; did you mean 'qmin'?
              p_context->mb_lmin = p_context->lmin = p_sys->i_qmin * FF_QP2LAMBDA;
                                              ^~~~
  codec/avcodec/encoder.c:647:45: error: no member named 'lmax' in 'struct AVCodecContext'; did you mean 'qmax'?
              p_context->mb_lmax = p_context->lmax = p_sys->i_qmax * FF_QP2LAMBDA;
                                              ^~~~
  codec/avcodec/encoder.c:660:24: error: no member named 'rc_qsquish' in 'struct AVCodecContext'
              p_context->rc_qsquish = 1.0;
              ~~~~~~~~~  ^
  codec/avcodec/encoder.c:674:24: error: no member named 'rc_buffer_aggressivity' in 'struct AVCodecContext'
              p_context->rc_buffer_aggressivity = p_sys->f_rc_buffer_aggressivity;
              ~~~~~~~~~  ^

  PR:		227726
  Obtained from:	upstream (VLC 3.0.0)

Changes:
  head/multimedia/vlc/files/patch-ffmpeg40
Comment 25 commit-hook freebsd_committer 2018-04-27 13:33:05 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 27 13:32:11 UTC 2018
New revision: 468426
URL: https://svnweb.freebsd.org/changeset/ports/468426

Log:
  multimedia/libxine: unbreak with ffmpeg 4.0

  video_out_vaapi.c:3122:83: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
        frame->vo_frame.base[0] = av_mallocz (frame->vo_frame.pitches[0] * height + FF_INPUT_BUFFER_PADDING_SIZE);
                                                                                    ^

  PR:		227726
  Obtained from:	upstream (xine-lib 1.2.8)

Changes:
  head/multimedia/libxine/files/patch-ffmpeg4
Comment 26 commit-hook freebsd_committer 2018-04-27 13:58:29 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 27 13:57:40 UTC 2018
New revision: 468428
URL: https://svnweb.freebsd.org/changeset/ports/468428

Log:
  multimedia/mlt: unbreak with ffmpeg 4.0

  consumer_avformat.c:2047:44: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
                  if ( video_st && !( oc->oformat->flags & AVFMT_RAWPICTURE ) ) for (;;)
                                                           ^
  consumer_avformat.c:837:16: error: use of undeclared identifier 'CODEC_FLAG_QSCALE'
                          c->flags |= CODEC_FLAG_QSCALE;
                                      ^
  filter_avresample.c:55:2: error: use of undeclared identifier 'ReSampleContext'
          ReSampleContext *resample = mlt_properties_get_data( filter_properties, "audio_resample", NULL );
          ^

  PR:		227726
  Obtained from:	upstream (mlt 6.6.0)

Changes:
  head/multimedia/mlt/files/patch-git_541b083
  head/multimedia/mlt/files/patch-git_9a95592
  head/multimedia/mlt/files/patch-git_9ec2ab9
Comment 27 commit-hook freebsd_committer 2018-04-27 14:19:48 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 27 14:19:33 UTC 2018
New revision: 468429
URL: https://svnweb.freebsd.org/changeset/ports/468429

Log:
  net/mediastreamer: unbreak with ffmpeg 4.0

  videofilters/nowebcam.c:251:49: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
                  jpgbuf=(uint8_t*)ms_malloc0(statbuf.st_size + FF_INPUT_BUFFER_PADDING_SIZE);
                                                                ^

  PR:		227726

Changes:
  head/net/mediastreamer/files/patch-src_videofilters_nowebcam.c
Comment 28 commit-hook freebsd_committer 2018-04-27 14:38:07 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 27 14:37:28 UTC 2018
New revision: 468431
URL: https://svnweb.freebsd.org/changeset/ports/468431

Log:
  textproc/libextractor: unbreak with ffmpeg 4.0

  thumbnailffmpeg_extractor.c:426:29: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
    unsigned char padded_data[PADDED_BUFFER_SIZE];
                              ^
  thumbnailffmpeg_extractor.c:99:43: note: expanded from macro 'PADDED_BUFFER_SIZE'
   #define PADDED_BUFFER_SIZE (BUFFER_SIZE + FF_INPUT_BUFFER_PADDING_SIZE)
                                             ^
  thumbnailffmpeg_extractor.c:479:38: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
        memset (&padded_data[iret], 0, PADDED_BUFFER_SIZE - iret);
                                       ^
  thumbnailffmpeg_extractor.c:99:43: note: expanded from macro 'PADDED_BUFFER_SIZE'
   #define PADDED_BUFFER_SIZE (BUFFER_SIZE + FF_INPUT_BUFFER_PADDING_SIZE)
                                             ^
  PR:		227726

Changes:
  head/textproc/libextractor/files/patch-ffmpeg29
Comment 29 commit-hook freebsd_committer 2018-04-27 14:56:26 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 27 14:56:16 UTC 2018
New revision: 468433
URL: https://svnweb.freebsd.org/changeset/ports/468433

Log:
  multimedia/motion: unbreak with ffmpeg 4.0

  ffmpeg.c:442:25: error: use of undeclared identifier 'CODEC_FLAG_QSCALE'
              c->flags |= CODEC_FLAG_QSCALE;
                          ^
  ffmpeg.c:450:17: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
      c->flags |= CODEC_FLAG_GLOBAL_HEADER;
                  ^
  ffmpeg.c:492:40: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
      if (!(ffmpeg->oc->oformat->flags & AVFMT_RAWPICTURE)) {
                                         ^
  ffmpeg.c:708:38: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
      if (ffmpeg->oc->oformat->flags & AVFMT_RAWPICTURE) {
                                       ^

  PR:		227726

Changes:
  head/multimedia/motion/files/patch-ffmpeg.c
Comment 30 commit-hook freebsd_committer 2018-04-27 15:11:40 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 27 15:10:49 UTC 2018
New revision: 468434
URL: https://svnweb.freebsd.org/changeset/ports/468434

Log:
  multimedia/qmmp: unbreak with ffmpeg 4.0

  src/plugins/Input/ffmpeg/decoder_ffmpeg.h:64:43: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
      uchar m_input_buf[INPUT_BUFFER_SIZE + FF_INPUT_BUFFER_PADDING_SIZE];
                                            ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:37:17: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      return (int)d->input()->read((char*)buf, size);
                  ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:49:16: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
          return d->input()->size();
                 ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:54:24: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
          absolute_pos = d->input()->pos() + offset;
                         ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:57:24: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
          absolute_pos = d->input()->size() - offset;
                         ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:62:43: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      if(absolute_pos < 0 || absolute_pos > d->input()->size())
                                            ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:64:12: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      return d->input()->seek(absolute_pos);
             ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:131:19: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      pd.buf_size = input()->peek((char*)buf, sizeof(buf) - AVPROBE_PADDING_SIZE);
                    ^~~~~
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:153:27: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      m_stream->seekable = !input()->isSequential();
                            ^~~~~
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:166:9: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      if (input()->isSequential())
          ^~~~~
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:204:9: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
          addMetaData(metaData);
          ^~~~~~~~~~~
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:209:5: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      setReplayGainInfo(rg.replayGainInfo());
      ^~~~~~~~~~~~~~~~~
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:271:19: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      m_totalTime = input()->isSequential() ? 0 : ic->duration * 1000 / AV_TIME_BASE;
                    ^~~~~
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:306:5: error: no matching member function for call to 'configure'
      configure(c->sample_rate, m_channels, format);
      ^~~~~~~~~
  src/plugins/Input/ffmpeg/../../../qmmp/decoder.h:177:10: note: candidate function not viable: no known conversion from 'DecoderFFmpeg' to 'Decoder' for object argument
      void configure(quint32 srate, int channels, Qmmp::AudioFormat f = Qmmp::PCM_S16LE);
           ^
  src/plugins/Input/ffmpeg/../../../qmmp/decoder.h:170:10: note: candidate function not viable: no known conversion from 'DecoderFFmpeg' to 'Decoder' for object argument
      void configure(quint32 srate, const ChannelMap &map, Qmmp::AudioFormat f = Qmmp::PCM_S16LE);
           ^
  src/plugins/Input/ffmpeg/../../../qmmp/decoder.h:182:10: note: candidate function not viable: requires single argument 'p', but 3 arguments were provided
      void configure(const AudioParameters &p);
           ^

  PR:		227726

Changes:
  head/multimedia/qmmp/files/
  head/multimedia/qmmp/files/patch-ffmpeg4
Comment 31 commit-hook freebsd_committer 2018-04-27 15:28:59 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 27 15:28:13 UTC 2018
New revision: 468438
URL: https://svnweb.freebsd.org/changeset/ports/468438

Log:
  graphics/gnash: unbreak with ffmpeg 4.0

  ffmpeg/MediaHandlerFfmpeg.cpp:152:12: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
      return FF_INPUT_BUFFER_PADDING_SIZE;
             ^
  ffmpeg/MediaParserFfmpeg.cpp:67:40: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
      const size_t bufSize = probeSize + FF_INPUT_BUFFER_PADDING_SIZE;
                                         ^
  ffmpeg/MediaParserFfmpeg.cpp:176:35: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
          size_t allocSize = packet.size + FF_INPUT_BUFFER_PADDING_SIZE;
                                           ^
  ffmpeg/MediaParserFfmpeg.cpp:224:35: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
          size_t allocSize = packet.size + FF_INPUT_BUFFER_PADDING_SIZE;
                                           ^

  PR:		227726

Changes:
  head/graphics/gnash/files/patch-ffmpeg4
Comment 32 commit-hook freebsd_committer 2018-04-27 15:39:10 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 27 15:38:48 UTC 2018
New revision: 468439
URL: https://svnweb.freebsd.org/changeset/ports/468439

Log:
  graphics/amide: unbreak with ffmpeg 4.0

  mpeg_encode.c:301:20: error: no member named 'me_method' in 'struct AVCodecContext'
    encode->context->me_method=5; /* 5 is epzs */
    ~~~~~~~~~~~~~~~  ^

  PR:		227726

Changes:
  head/graphics/amide/files/patch-src_mpeg__encode.c
Comment 33 Jan Beich freebsd_committer 2018-04-27 17:12:35 UTC
If there're no major blockers the plan is to land FFmpeg 4.0 shortly after exp-run, marking some leaves as BROKEN.
Comment 34 Jan Beich freebsd_committer 2018-04-29 01:08:11 UTC
Antoine, try new version of the patch with

  multimedia_gstreamer1-libav_UNSET += FFMPEG
Comment 35 Antoine Brodin freebsd_committer 2018-04-30 09:44:29 UTC
Exp-run results on 10.4 i386:

http://package23.nyi.freebsd.org/build.html?mastername=104i386-default-PR227726&build=2018-04-30_05h22m48s

New failures on 10.4 i386:

+ {"origin"=>"audio/aubio", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/cantata", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/forked-daapd", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"audio/idjc", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"audio/libgroove", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/netgen", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/opencascade", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/mgba", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/visualboyadvance-m", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/retroarch", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/php5-ffmpeg", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/octave-forge-video", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/bino", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/ccextractor", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"multimedia/dvbcut", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/dvdstyler", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/libquicktime", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/miro", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/qmmp-qt5", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/simplescreenrecorder", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/transcode", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/tvheadend", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/vdr-plugin-markad", "phase"=>"package", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/webcamoid", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/zoneminder", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/zoneminder-h264", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-im/qTox", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/retroshare", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/freerdp", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/freerdp1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/opal", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/iridium", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-toolkits/nucleo", "phase"=>"build", "errortype"=>"bad_C++_code"}
Comment 36 Antoine Brodin freebsd_committer 2018-04-30 09:45:20 UTC
Exp-run results on 10.4 amd64:

http://package22.nyi.freebsd.org/build.html?mastername=104amd64-default-PR227726&build=2018-04-30_05h22m51s

New failures on 10.4 amd64:

+ {"origin"=>"audio/aubio", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/cantata", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"audio/forked-daapd", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"audio/idjc", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"audio/libgroove", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/netgen", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"cad/opencascade", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/mgba", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"emulators/visualboyadvance-m", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/retroarch", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/php5-ffmpeg", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/octave-forge-video", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/bino", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/ccextractor", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"multimedia/dvbcut", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/dvdstyler", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/libquicktime", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/miro", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/qmmp-qt5", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/simplescreenrecorder", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/transcode", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/tvheadend", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/vdr-plugin-markad", "phase"=>"package", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/webcamoid", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/zoneminder", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/zoneminder-h264", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-im/qTox", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net-p2p/retroshare", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/freerdp", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/freerdp1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/freeswitch", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/opal", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"www/iridium", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-toolkits/nucleo", "phase"=>"build", "errortype"=>"bad_C++_code"}
Comment 37 commit-hook freebsd_committer 2018-04-30 18:32:02 UTC
A commit references this bug:

Author: jbeich
Date: Mon Apr 30 18:31:43 UTC 2018
New revision: 468734
URL: https://svnweb.freebsd.org/changeset/ports/468734

Log:
  multimedia/transcode: unbreak with ffmpeg 4.0

  export_ffmpeg.c:834:24: error: no member named 'lmin' in 'struct AVCodecContext'; did you mean 'qmin'?
      lavc_venc_context->lmin= (int)(FF_QP2LAMBDA * lavc_param_lmin + 0.5);
                         ^~~~
                         qmin
  /usr/local/include/libavcodec/avcodec.h:2355:9: note: 'qmin' declared here
      int qmin;
          ^
  export_ffmpeg.c:835:24: error: no member named 'lmax' in 'struct AVCodecContext'; did you mean 'qmax'?
      lavc_venc_context->lmax= (int)(FF_QP2LAMBDA * lavc_param_lmax + 0.5);
                         ^~~~
                         qmax
  /usr/local/include/libavcodec/avcodec.h:2362:9: note: 'qmax' declared here
      int qmax;
          ^
  export_ffmpeg.c:841:24: error: no member named 'rc_strategy' in 'struct AVCodecContext'
      lavc_venc_context->rc_strategy        = lavc_param_vrc_strategy;
      ~~~~~~~~~~~~~~~~~  ^
  export_ffmpeg.c:859:24: error: no member named 'rc_qsquish' in 'struct AVCodecContext'
      lavc_venc_context->rc_qsquish         = lavc_param_rc_qsquish;
      ~~~~~~~~~~~~~~~~~  ^
  export_ffmpeg.c:860:24: error: no member named 'rc_qmod_amp' in 'struct AVCodecContext'
      lavc_venc_context->rc_qmod_amp        = lavc_param_rc_qmod_amp;
      ~~~~~~~~~~~~~~~~~  ^
  export_ffmpeg.c:861:24: error: no member named 'rc_qmod_freq' in 'struct AVCodecContext'
      lavc_venc_context->rc_qmod_freq       = lavc_param_rc_qmod_freq;
      ~~~~~~~~~~~~~~~~~  ^
  export_ffmpeg.c:862:24: error: no member named 'rc_eq' in 'struct AVCodecContext'
      lavc_venc_context->rc_eq              = lavc_param_rc_eq;
      ~~~~~~~~~~~~~~~~~  ^
  export_ffmpeg.c:866:24: error: no member named 'rc_buffer_aggressivity' in 'struct AVCodecContext'
      lavc_venc_context->rc_buffer_aggressivity= lavc_param_rc_buffer_aggressivity;
      ~~~~~~~~~~~~~~~~~  ^
  export_ffmpeg.c:867:24: error: no member named 'rc_initial_cplx' in 'struct AVCodecContext'
      lavc_venc_context->rc_initial_cplx    = lavc_param_rc_initial_cplx;
      ~~~~~~~~~~~~~~~~~  ^
  export_ffmpeg.c:875:24: error: no member named 'intra_quant_bias' in 'struct AVCodecContext'
      lavc_venc_context->intra_quant_bias   = lavc_param_ibias;
      ~~~~~~~~~~~~~~~~~  ^
  export_ffmpeg.c:876:24: error: no member named 'inter_quant_bias' in 'struct AVCodecContext'
      lavc_venc_context->inter_quant_bias   = lavc_param_pbias;
      ~~~~~~~~~~~~~~~~~  ^
  export_ffmpeg.c:1090:37: error: use of undeclared identifier 'CODEC_FLAG_GRAY'
          lavc_venc_context->flags |= CODEC_FLAG_GRAY;
                                      ^
  export_ffmpeg.c:1092:37: error: use of undeclared identifier 'CODEC_FLAG_NORMALIZE_AQP'
          lavc_venc_context->flags |= CODEC_FLAG_NORMALIZE_AQP;
                                      ^
  export_ffmpeg.c:1110:9: error: use of undeclared identifier 'CODEC_FLAG_INTERLACED_DCT'
          CODEC_FLAG_INTERLACED_DCT : 0;
          ^
  export_ffmpeg.c:1112:9: error: use of undeclared identifier 'CODEC_FLAG_INTERLACED_ME'
          CODEC_FLAG_INTERLACED_ME : 0;
          ^
  export_ffmpeg.c:1159:37: error: use of undeclared identifier 'CODEC_FLAG_PASS1'
          lavc_venc_context->flags |= CODEC_FLAG_PASS1;
                                      ^
  export_ffmpeg.c:1173:37: error: use of undeclared identifier 'CODEC_FLAG_PASS2'
          lavc_venc_context->flags |= CODEC_FLAG_PASS2;
                                      ^
  export_ffmpeg.c:1204:39: error: use of undeclared identifier 'CODEC_FLAG_QSCALE'
          lavc_venc_context->flags   |= CODEC_FLAG_QSCALE;
                                        ^
  export_ffmpeg.c:1209:24: error: no member named 'me_method' in 'struct AVCodecContext'
      lavc_venc_context->me_method = ME_ZERO + lavc_param_vme;
      ~~~~~~~~~~~~~~~~~  ^

  PR:		227726
  Reported by:	antoine (via exp-run)
  Obtained from:	Gentoo

Changes:
  head/multimedia/transcode/Makefile
  head/multimedia/transcode/files/patch-ffmpeg4
  head/multimedia/transcode/files/patch-libav-10.patch
Comment 38 commit-hook freebsd_committer 2018-04-30 18:48:16 UTC
A commit references this bug:

Author: jbeich
Date: Mon Apr 30 18:48:05 UTC 2018
New revision: 468737
URL: https://svnweb.freebsd.org/changeset/ports/468737

Log:
  audio/aubio: unbreak with ffmpeg 4.0

  ../src/io/source_avcodec.c:262:35: error: use of undeclared identifier 'FF_MIN_BUFFER_SIZE'
    s->output = (smpl_t *)av_malloc(AUBIO_AVCODEC_MAX_BUFFER_SIZE * sizeof(smpl_t));
                                    ^
  ../src/io/source_avcodec.c:61:39: note: expanded from macro 'AUBIO_AVCODEC_MAX_BUFFER_SIZE'
   #define AUBIO_AVCODEC_MAX_BUFFER_SIZE FF_MIN_BUFFER_SIZE
                                         ^
  ../src/io/source_avcodec.c:360:25: error: use of undeclared identifier 'FF_MIN_BUFFER_SIZE'
    int max_out_samples = AUBIO_AVCODEC_MAX_BUFFER_SIZE / avCodecCtx->channels;
                          ^
  ../src/io/source_avcodec.c:61:39: note: expanded from macro 'AUBIO_AVCODEC_MAX_BUFFER_SIZE'
   #define AUBIO_AVCODEC_MAX_BUFFER_SIZE FF_MIN_BUFFER_SIZE
                                         ^
  ../src/io/source_avcodec.c:434:21: error: use of undeclared identifier 'FF_MIN_BUFFER_SIZE'
    max_out_samples = AUBIO_AVCODEC_MAX_BUFFER_SIZE / avCodecCtx->channels;
                      ^
  ../src/io/source_avcodec.c:61:39: note: expanded from macro 'AUBIO_AVCODEC_MAX_BUFFER_SIZE'
   #define AUBIO_AVCODEC_MAX_BUFFER_SIZE FF_MIN_BUFFER_SIZE
                                         ^

  PR:		227726
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream

Changes:
  head/audio/aubio/Makefile
  head/audio/aubio/distinfo
Comment 39 commit-hook freebsd_committer 2018-04-30 19:04:32 UTC
A commit references this bug:

Author: jbeich
Date: Mon Apr 30 19:04:19 UTC 2018
New revision: 468739
URL: https://svnweb.freebsd.org/changeset/ports/468739

Log:
  net/freerdp: unbreak with ffmpeg 4.0

  channels/tsmf/client/ffmpeg/tsmf_ffmpeg.c:210:38: error: use of undeclared identifier 'CODEC_CAP_TRUNCATED'
          if (mdecoder->codec->capabilities & CODEC_CAP_TRUNCATED)
                                              ^
  channels/tsmf/client/ffmpeg/tsmf_ffmpeg.c:211:37: error: use of undeclared identifier 'CODEC_FLAG_TRUNCATED'
                  mdecoder->codec_context->flags |= CODEC_FLAG_TRUNCATED;
                                                    ^

  PR:		227726
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream (FreeRDP 2.0.0-rc2)

Changes:
  head/net/freerdp/Makefile
  head/net/freerdp/distinfo
Comment 40 commit-hook freebsd_committer 2018-04-30 20:41:55 UTC
A commit references this bug:

Author: jbeich
Date: Mon Apr 30 20:41:46 UTC 2018
New revision: 468745
URL: https://svnweb.freebsd.org/changeset/ports/468745

Log:
  net/opal: unbreak with ffmpeg 4.0

  h263-1998.cxx:237:22: error: use of undeclared identifier 'CODEC_FLAG_TRUNCATED'
    m_context->flags = CODEC_FLAG_TRUNCATED  // Possible missing packets
                       ^
  h263-1998.cxx:346:27: error: use of undeclared identifier 'CODEC_FLAG_AC_PRED'
        m_context->flags |= CODEC_FLAG_AC_PRED;
                            ^
  h263-1998.cxx:348:28: error: use of undeclared identifier 'CODEC_FLAG_AC_PRED'
        m_context->flags &= ~CODEC_FLAG_AC_PRED;
                             ^
  h263-1998.cxx:356:27: error: use of undeclared identifier 'CODEC_FLAG_LOOP_FILTER'
        m_context->flags |= CODEC_FLAG_LOOP_FILTER;
                            ^
  h263-1998.cxx:358:28: error: use of undeclared identifier 'CODEC_FLAG_LOOP_FILTER'
        m_context->flags &= ~CODEC_FLAG_LOOP_FILTER;
                             ^
  h263-1998.cxx:422:14: error: no member named 'lmin' in 'AVCodecContext'; did you mean 'qmin'?
    m_context->lmin = m_context->qmin * FF_QP2LAMBDA;
               ^~~~
               qmin
  /usr/local/include/libavcodec/avcodec.h:2355:9: note: 'qmin' declared here
      int qmin;
          ^
  h263-1998.cxx:423:14: error: no member named 'lmax' in 'AVCodecContext'; did you mean 'qmax'?
    m_context->lmax = m_context->qmax * FF_QP2LAMBDA;
               ^~~~
               qmax
  /usr/local/include/libavcodec/avcodec.h:2362:9: note: 'qmax' declared here
      int qmax;
          ^
  h263-1998.cxx:598:24: error: use of undeclared identifier 'CODEC_FLAG_4MV'
    m_context->flags &= ~CODEC_FLAG_4MV;
                         ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/net/opal/files/patch-ffmpeg4
Comment 41 commit-hook freebsd_committer 2018-05-01 03:46:34 UTC
A commit references this bug:

Author: jbeich
Date: Tue May  1 03:46:23 UTC 2018
New revision: 468752
URL: https://svnweb.freebsd.org/changeset/ports/468752

Log:
  net-im/qTox: unbreak with ffmpeg 4.0

  src/video/camerasource.cpp:112:5: error: 'av_register_all' is deprecated [-Werror,-Wdeprecated-declarations]
      av_register_all();
      ^
  /usr/local/include/libavformat/avformat.h:2025:6: note: 'av_register_all' declared here
  void av_register_all(void);
       ^

  PR:		227726
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream

Changes:
  head/net-im/qTox/Makefile
  head/net-im/qTox/distinfo
Comment 42 commit-hook freebsd_committer 2018-05-01 04:55:30 UTC
A commit references this bug:

Author: jbeich
Date: Tue May  1 04:54:38 UTC 2018
New revision: 468753
URL: https://svnweb.freebsd.org/changeset/ports/468753

Log:
  multimedia/webcamoid: unbreak with ffmpeg 4.0

  src/mediawriterffmpeg.cpp:254:47: error: 'CODEC_CAP_EXPERIMENTAL' was not declared in this scope
                       if (codec->capabilities & CODEC_CAP_EXPERIMENTAL
                                                 ^~~~~~~~~~~~~~~~~~~~~~

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/multimedia/webcamoid/files/patch-ffmpeg4
Comment 43 Antoine Brodin freebsd_committer 2018-05-02 05:31:48 UTC
Exp-run results on 11.1 i386:

http://package23.nyi.freebsd.org/build.html?mastername=111i386-default-PR227726&build=2018-05-01_10h57m23s

New failures on 11.1 i386:

+ {"origin"=>"audio/forked-daapd", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"audio/idjc", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"audio/libgroove", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"cad/netgen", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"cad/opencascade", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/mgba", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/visualboyadvance-m", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/retroarch", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/php5-ffmpeg", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/octave-forge-video", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/bino", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/ccextractor", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"multimedia/dvbcut", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/dvdstyler", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/libquicktime", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/lives", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/miro", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/qmmp-qt5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/simplescreenrecorder", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/tvheadend", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/vdr-plugin-markad", "phase"=>"package", "errortype"=>"clang"}
+ {"origin"=>"multimedia/zoneminder", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/zoneminder-h264", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/retroshare", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/freerdp1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"x11-toolkits/nucleo", "phase"=>"build", "errortype"=>"clang"}
Comment 44 Antoine Brodin freebsd_committer 2018-05-02 05:33:39 UTC
Exp-run results on 11.1 amd64:

http://package22.nyi.freebsd.org/build.html?mastername=111amd64-default-PR227726&build=2018-05-01_10h36m11s

New failures on 11.1 amd64:

+ {"origin"=>"audio/forked-daapd", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"audio/idjc", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"audio/libgroove", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"cad/netgen", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"cad/opencascade", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/mgba", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/visualboyadvance-m", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"games/retroarch", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/php5-ffmpeg", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/octave-forge-video", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/bino", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/ccextractor", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"multimedia/dvbcut", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/dvdstyler", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/libquicktime", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/lives", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/miro", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/qmmp-qt5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/simplescreenrecorder", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/tvheadend", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/vdr-plugin-markad", "phase"=>"package", "errortype"=>"clang"}
+ {"origin"=>"multimedia/zoneminder", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/zoneminder-h264", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/retroshare", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/freerdp1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/freeswitch", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"x11-toolkits/nucleo", "phase"=>"build", "errortype"=>"clang"}
Comment 45 commit-hook freebsd_committer 2018-05-02 13:26:30 UTC
A commit references this bug:

Author: jbeich
Date: Wed May  2 13:25:55 UTC 2018
New revision: 468831
URL: https://svnweb.freebsd.org/changeset/ports/468831

Log:
  cad/opencascade: unbreak with ffmpeg 4.0

  src/Image/Image_VideoRecorder.cxx:279:25: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
      aCodecCtx->flags |= CODEC_FLAG_GLOBAL_HEADER;
                          ^
  src/Image/Image_VideoRecorder.cxx:452:38: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
    if ((myAVContext->oformat->flags & AVFMT_RAWPICTURE) != 0
                                       ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/cad/opencascade/files/patch-src_Image_Image__VideoRecorder.cxx
Comment 46 commit-hook freebsd_committer 2018-05-02 13:26:33 UTC
A commit references this bug:

Author: jbeich
Date: Wed May  2 13:26:23 UTC 2018
New revision: 468833
URL: https://svnweb.freebsd.org/changeset/ports/468833

Log:
  math/octave-forge-video: unbreak with ffmpeg 4.0

  AVHandler.cc:246:29: error: use of undeclared identifier 'CODEC_CAP_TRUNCATED'
    if (codec->capabilities & CODEC_CAP_TRUNCATED)
                              ^
  AVHandler.cc:247:30: error: use of undeclared identifier 'CODEC_FLAG_TRUNCATED'
      vstream->codec->flags |= CODEC_FLAG_TRUNCATED;
                               ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/math/octave-forge-video/files/
  head/math/octave-forge-video/files/patch-src_AVHandler.cc
Comment 47 commit-hook freebsd_committer 2018-05-02 13:27:36 UTC
A commit references this bug:

Author: jbeich
Date: Wed May  2 13:26:36 UTC 2018
New revision: 468834
URL: https://svnweb.freebsd.org/changeset/ports/468834

Log:
  emulators/visualboyadvance-m: unbreak with ffmpeg 4.0

  src/common/ffmpeg.cpp:288:27: error: use of undeclared identifier 'FF_MIN_BUFFER_SIZE'
          audio_buf = (u8 *)malloc(AUDIO_BUF_LEN);
                                   ^
  src/common/ffmpeg.cpp:88:36: note: expanded from macro 'AUDIO_BUF_LEN'
                                     ^
  src/common/ffmpeg.cpp:288:27: error: use of undeclared identifier 'FF_MIN_BUFFER_SIZE'
  src/common/ffmpeg.cpp:88:69: note: expanded from macro 'AUDIO_BUF_LEN'
                                                                      ^
  src/common/ffmpeg.cpp:307:27: error: use of undeclared identifier 'FF_MIN_BUFFER_SIZE'
          video_buf = (u8 *)malloc(VIDEO_BUF_LEN);
                                   ^
  src/common/ffmpeg.cpp:90:24: note: expanded from macro 'VIDEO_BUF_LEN'
                         ^
  src/common/ffmpeg.cpp:438:29: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
      if(oc->oformat->flags & AVFMT_RAWPICTURE) {
                              ^
  src/common/ffmpeg.cpp:447:20: error: use of undeclared identifier 'FF_MIN_BUFFER_SIZE'
          pkt.size = VIDEO_BUF_LEN;
                     ^
  src/common/ffmpeg.cpp:90:24: note: expanded from macro 'VIDEO_BUF_LEN'
                         ^
  src/common/ffmpeg.cpp:463:16: error: use of undeclared identifier 'FF_MIN_BUFFER_SIZE'
          if(pkt.size > VIDEO_BUF_LEN) {
                        ^
  src/common/ffmpeg.cpp:90:24: note: expanded from macro 'VIDEO_BUF_LEN'
                         ^

  PR:		227726
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream

Changes:
  head/emulators/visualboyadvance-m/files/patch-src_common_ffmpeg.cpp
Comment 48 commit-hook freebsd_committer 2018-05-02 13:32:42 UTC
A commit references this bug:

Author: jbeich
Date: Wed May  2 13:31:46 UTC 2018
New revision: 468835
URL: https://svnweb.freebsd.org/changeset/ports/468835

Log:
  multimedia/webcamoid: unbreak with ffmpeg 4.0

  ngpkg.cpp:2342:27: error: use of undeclared identifier 'CODEC_FLAG_PSNR'
          context->flags |= CODEC_FLAG_PSNR;
                            ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/cad/netgen/files/patch-ng_ngpkg.cpp
Comment 49 Jan Beich freebsd_committer 2018-05-02 14:23:40 UTC
(In reply to Antoine Brodin from comment #36)
> + {"origin"=>"audio/cantata", "phase"=>"build", "errortype"=>"bad_C++_code"}

Likely fixed by ports r468631.
Comment 50 commit-hook freebsd_committer 2018-05-02 15:08:05 UTC
A commit references this bug:

Author: jbeich
Date: Wed May  2 15:07:36 UTC 2018
New revision: 468844
URL: https://svnweb.freebsd.org/changeset/ports/468844

Log:
  multimedia/ffmpeg: update to 4.0

  - FFSERVER support was removed upstream
  - libressl now uses libtls backend instead of patching openssl one
  - Clang i386 no longer uses 16-byte aligned stack

  Changes:	https://git.ffmpeg.org/gitweb/ffmpeg.git/blob/n4.0:/Changelog
  ABI:		https://abi-laboratory.pro/tracker/timeline/ffmpeg/
  PR:		227726
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D15175

Changes:
  head/astro/siril/Makefile
  head/audio/acoustid-fingerprinter/Makefile
  head/audio/alsa-plugins/Makefile
  head/audio/aqualung/Makefile
  head/audio/aubio/Makefile
  head/audio/audacity/Makefile
  head/audio/baresip/Makefile
  head/audio/beets/Makefile
  head/audio/cantata/Makefile
  head/audio/carla/Makefile
  head/audio/chromaprint/Makefile
  head/audio/cmus/Makefile
  head/audio/deadbeef/Makefile
  head/audio/forked-daapd/Makefile
  head/audio/idjc/Makefile
  head/audio/kid3-kde4/Makefile
  head/audio/lastfm-desktop/Makefile
  head/audio/libgroove/Makefile
  head/audio/libsoxr/Makefile
  head/audio/moc/Makefile
  head/audio/musicpd/Makefile
  head/audio/pacpl/Makefile
  head/audio/pianobar/Makefile
  head/audio/siren/Makefile
  head/audio/soundkonverter/Makefile
  head/audio/spek/Makefile
  head/audio/xmms2/Makefile
  head/cad/netgen/Makefile
  head/cad/opencascade/Makefile
  head/comms/dabstick-radio/Makefile
  head/deskutils/libstreamanalyzer/Makefile
  head/deskutils/xfce4-tumbler/Makefile
  head/devel/kf5-kfilemetadata/Makefile
  head/devel/libdlna/Makefile
  head/devel/renpy/Makefile
  head/devel/renpy6/Makefile
  head/devel/synfig/Makefile
  head/emulators/dolphin-emu/Makefile
  head/emulators/kcemu/Makefile
  head/emulators/mgba/Makefile
  head/emulators/ppsspp/Makefile
  head/emulators/ppsspp-qt5/Makefile
  head/emulators/rpcs3/Makefile
  head/emulators/vice/Makefile
  head/emulators/visualboyadvance-m/Makefile
  head/games/alephone/Makefile
  head/games/corsix-th/Makefile
  head/games/hedgewars/Makefile
  head/games/moonlight-embedded/Makefile
  head/games/openmw/Makefile
  head/games/retroarch/Makefile
  head/games/stepmania-devel/Makefile
  head/games/wargus/Makefile
  head/graphics/amide/Makefile
  head/graphics/blender/Makefile
  head/graphics/bugle/Makefile
  head/graphics/cimg/Makefile
  head/graphics/gegl/Makefile
  head/graphics/gegl3/Makefile
  head/graphics/gimp-gmic-plugin/Makefile
  head/graphics/gnash/Makefile
  head/graphics/hiptext/Makefile
  head/graphics/natron/Makefile
  head/graphics/opencv/Makefile
  head/graphics/openfx-io/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/osg/Makefile
  head/graphics/osg-devel/Makefile
  head/graphics/php5-ffmpeg/Makefile
  head/graphics/pqiv/Makefile
  head/graphics/py-imageio/Makefile
  head/graphics/wxsvg/Makefile
  head/java/openjfx8-devel/Makefile
  head/math/octave-forge-video/Makefile
  head/math/sage/Makefile
  head/multimedia/2mandvd/Makefile
  head/multimedia/QtAV/Makefile
  head/multimedia/audacious-plugins/Makefile
  head/multimedia/audacious-plugins-gtk3/Makefile
  head/multimedia/bino/Makefile
  head/multimedia/ccextractor/Makefile
  head/multimedia/devede/Makefile
  head/multimedia/dvbcut/Makefile
  head/multimedia/dvd-slideshow/Makefile
  head/multimedia/dvdstyler/Makefile
  head/multimedia/emby-server/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpeg/distinfo
  head/multimedia/ffmpeg/files/patch-configure
  head/multimedia/ffmpeg/files/patch-libavformat_tls__openssl.c
  head/multimedia/ffmpeg/pkg-plist
  head/multimedia/ffmpeg2theora/Makefile
  head/multimedia/ffmpegthumbnailer/Makefile
  head/multimedia/ffms2/Makefile
  head/multimedia/gmerlin-avdecoder/Makefile
  head/multimedia/gstreamer-ffmpeg/Makefile
  head/multimedia/gstreamer1-libav/Makefile
  head/multimedia/harvid/Makefile
  head/multimedia/imagination/Makefile
  head/multimedia/k9copy-kde4/Makefile
  head/multimedia/kdemultimedia-ffmpegthumbs/Makefile
  head/multimedia/kdemultimedia-ffmpegthumbs-kde4/Makefile
  head/multimedia/kdenlive/Makefile
  head/multimedia/kdenlive-kde4/Makefile
  head/multimedia/kodi-devel/Makefile
  head/multimedia/libquicktime/Makefile
  head/multimedia/libxine/Makefile
  head/multimedia/lives/Makefile
  head/multimedia/m2tstoavi/Makefile
  head/multimedia/mencoder/Makefile
  head/multimedia/miro/Makefile
  head/multimedia/mlt/Makefile
  head/multimedia/motion/Makefile
  head/multimedia/mpeg4ip/Makefile
  head/multimedia/mplayer/Makefile
  head/multimedia/mps-youtube/Makefile
  head/multimedia/mpv/Makefile
  head/multimedia/nordlicht/Makefile
  head/multimedia/obs-studio/Makefile
  head/multimedia/omxplayer/Makefile
  head/multimedia/openshot/Makefile
  head/multimedia/p5-FFmpeg-Command/Makefile
  head/multimedia/pHash/Makefile
  head/multimedia/qmmp/Makefile
  head/multimedia/qmmp-plugin-pack/Makefile
  head/multimedia/qmmp-plugin-pack-qt5/Makefile
  head/multimedia/qmmp-qt5/Makefile
  head/multimedia/rubygem-streamio-ffmpeg/Makefile
  head/multimedia/sabbu/Makefile
  head/multimedia/shotcut/Makefile
  head/multimedia/simplescreenrecorder/Makefile
  head/multimedia/tovid/Makefile
  head/multimedia/transcode/Makefile
  head/multimedia/tvheadend/Makefile
  head/multimedia/vapoursynth/Makefile
  head/multimedia/vapoursynth-l-smash-works/Makefile
  head/multimedia/vdr-plugin-markad/Makefile
  head/multimedia/vdr-plugin-osdpip/Makefile
  head/multimedia/vdr-plugin-softhddevice/Makefile
  head/multimedia/vdr-plugin-upnp/Makefile
  head/multimedia/vdr-plugin-xineliboutput/Makefile
  head/multimedia/vlc/Makefile
  head/multimedia/webcamoid/Makefile
  head/multimedia/winff/Makefile
  head/multimedia/x264/Makefile
  head/multimedia/zoneminder/Makefile
  head/multimedia/zoneminder-h264/Makefile
  head/net/freerdp/Makefile
  head/net/freerdp1/Makefile
  head/net/freeswitch/Makefile
  head/net/guacamole-server/Makefile
  head/net/mediastreamer/Makefile
  head/net/mediatomb/Makefile
  head/net/minidlna/Makefile
  head/net/opal/Makefile
  head/net/pjsip/Makefile
  head/net/serviio/Makefile
  head/net-im/qTox/Makefile
  head/net-im/telegram-desktop/Makefile
  head/net-p2p/retroshare/Makefile
  head/net-p2p/tribler/Makefile
  head/sysutils/k3b-kde4/Makefile
  head/sysutils/kfilemetadata-kde4/Makefile
  head/sysutils/nepomuk-core-kde4/Makefile
  head/sysutils/xvidcap/Makefile
  head/textproc/libextractor/Makefile
  head/www/cherokee/Makefile
  head/www/chromium/Makefile
  head/www/gallery2/Makefile
  head/www/gallery3/Makefile
  head/www/iridium/Makefile
  head/www/libresonic-standalone/Makefile
  head/www/madsonic/Makefile
  head/www/madsonic-standalone/Makefile
  head/www/nginx/Makefile
  head/www/nginx-devel/Makefile
  head/www/qt5-webengine/Makefile
  head/www/subsonic-standalone/Makefile
  head/www/you-get/Makefile
  head/www/youtube_dl/Makefile
  head/x11/leechcraft/Makefile
  head/x11/xpra/Makefile
  head/x11-toolkits/nucleo/Makefile
Comment 51 Jan Beich freebsd_committer 2018-05-02 15:23:09 UTC
~25 ports are marked BROKEN, out of ~180 ports. Most are leaves. I'll try to fix more until burn out.

Carlos, can you update multimedia/mpv to 0.28.2 to serve as a silver lining?
Comment 52 commit-hook freebsd_committer 2018-05-02 15:48:40 UTC
A commit references this bug:

Author: jbeich
Date: Wed May  2 15:47:51 UTC 2018
New revision: 468847
URL: https://svnweb.freebsd.org/changeset/ports/468847

Log:
  multimedia/tvheadend: unbreak with ffmpeg 4.0

  src/muxer/muxer_libav.c:177:17: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
      c->flags |= CODEC_FLAG_GLOBAL_HEADER;
                  ^
  src/plumbing/transcoding.c:22:10: fatal error: 'libavfilter/avfiltergraph.h' file not found
           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  src/plumbing/transcoding.c:576:29: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
      octx->flags          |= CODEC_FLAG_GLOBAL_HEADER;
                              ^
  src/plumbing/transcoding.c:621:22: error: use of undeclared identifier 'CODEC_FLAG_BITEXACT'
        octx->flags |= CODEC_FLAG_BITEXACT;
                       ^
  src/plumbing/transcoding.c:632:24: error: use of undeclared identifier 'CODEC_FLAG_QSCALE'
          octx->flags |= CODEC_FLAG_QSCALE;
                         ^
  src/plumbing/transcoding.c:635:24: error: use of undeclared identifier 'CODEC_FLAG_QSCALE'
          octx->flags |= CODEC_FLAG_QSCALE;
                         ^
  src/plumbing/transcoding.c:1291:30: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
        octx->flags         |= CODEC_FLAG_GLOBAL_HEADER;
                               ^
  src/plumbing/transcoding.c:1296:33: error: use of undeclared identifier 'CODEC_FLAG_QSCALE'
          octx->flags          |= CODEC_FLAG_QSCALE;
                                  ^
  src/plumbing/transcoding.c:1342:30: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
        octx->flags         |= CODEC_FLAG_GLOBAL_HEADER;
                               ^
  src/plumbing/transcoding.c:1373:30: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
        octx->flags         |= CODEC_FLAG_GLOBAL_HEADER;
                               ^
  src/plumbing/transcoding.c:2179:29: error: use of undeclared identifier 'CODEC_CAP_EXPERIMENTAL'
      if (((p->capabilities & CODEC_CAP_EXPERIMENTAL) && !experimental) ||
                              ^
  src/plumbing/transcoding.c:2194:33: error: use of undeclared identifier 'CODEC_CAP_EXPERIMENTAL'
               (p->capabilities & CODEC_CAP_EXPERIMENTAL) ?
                                  ^

  PR:		227726
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream

Changes:
  head/multimedia/tvheadend/Makefile
  head/multimedia/tvheadend/distinfo
Comment 53 commit-hook freebsd_committer 2018-05-02 15:57:50 UTC
A commit references this bug:

Author: jbeich
Date: Wed May  2 15:57:25 UTC 2018
New revision: 468848
URL: https://svnweb.freebsd.org/changeset/ports/468848

Log:
  emulators/mgba: unbreak with ffmpeg 4.0

  src/feature/ffmpeg/ffmpeg-encoder.c:232:29: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
                          encoder->audio->flags |= CODEC_FLAG_GLOBAL_HEADER;
                                                   ^
  src/feature/ffmpeg/ffmpeg-encoder.c:294:28: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
                  encoder->video->flags |= CODEC_FLAG_GLOBAL_HEADER;
                                           ^

  PR:		227726
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream (mgba 0.6.2)

Changes:
  head/emulators/mgba/Makefile
  head/emulators/mgba/distinfo
Comment 54 commit-hook freebsd_committer 2018-05-02 16:34:26 UTC
A commit references this bug:

Author: jbeich
Date: Wed May  2 16:33:59 UTC 2018
New revision: 468853
URL: https://svnweb.freebsd.org/changeset/ports/468853

Log:
  net/freeswitch: unbreak with ffmpeg 4.0

  avcodec.c:194:40: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
  static uint8_t ff_input_buffer_padding[FF_INPUT_BUFFER_PADDING_SIZE] = { 0 };
                                         ^
  avformat.c:471:14: error: use of undeclared identifier 'CODEC_FLAG_LOOP_FILTER'
                          c->flags|=CODEC_FLAG_LOOP_FILTER;   // flags=+loop
                                    ^
  avformat.c:477:47: error: use of undeclared identifier 'ME_HEX'
                          av_opt_set_int(c->priv_data, "motion_est", ME_HEX, 0);
                                                                     ^
  avformat.c:553:15: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
                  c->flags |= CODEC_FLAG_GLOBAL_HEADER;
                              ^
  avformat.c:638:31: error: use of undeclared identifier 'CODEC_CAP_VARIABLE_FRAME_SIZE'
          if (c->codec->capabilities & CODEC_CAP_VARIABLE_FRAME_SIZE) {
                                       ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/net/freeswitch/Makefile
  head/net/freeswitch/files/patch-ffmpeg4
Comment 55 commit-hook freebsd_committer 2018-05-02 16:59:47 UTC
A commit references this bug:

Author: jbeich
Date: Wed May  2 16:59:34 UTC 2018
New revision: 468855
URL: https://svnweb.freebsd.org/changeset/ports/468855

Log:
  multimedia/qmmp-qt5: unbreak with ffmpeg 4.0

  src/plugins/Input/ffmpeg/decoder_ffmpeg.h:64:43: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
      uchar m_input_buf[INPUT_BUFFER_SIZE + FF_INPUT_BUFFER_PADDING_SIZE];
                                            ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:37:17: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      return (int)d->input()->read((char*)buf, size);
                  ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:49:16: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
          return d->input()->size();
                 ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:54:24: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
          absolute_pos = d->input()->pos() + offset;
                         ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:57:24: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
          absolute_pos = d->input()->size() - offset;
                         ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:62:43: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      if(absolute_pos < 0 || absolute_pos > d->input()->size())
                                            ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:64:12: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      return d->input()->seek(absolute_pos);
             ^
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:131:19: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      pd.buf_size = input()->peek((char*)buf, sizeof(buf) - AVPROBE_PADDING_SIZE);
                    ^~~~~
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:153:27: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      m_stream->seekable = !input()->isSequential();
                            ^~~~~
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:166:9: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      if (input()->isSequential())
          ^~~~~
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:204:9: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
          addMetaData(metaData);
          ^~~~~~~~~~~
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:209:5: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      setReplayGainInfo(rg.replayGainInfo());
      ^~~~~~~~~~~~~~~~~
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:271:19: error: cannot initialize object parameter of type 'Decoder' with an expression of type 'DecoderFFmpeg'
      m_totalTime = input()->isSequential() ? 0 : ic->duration * 1000 / AV_TIME_BASE;
                    ^~~~~
  src/plugins/Input/ffmpeg/decoder_ffmpeg.cpp:301:5: error: no matching member function for call to 'configure'
      configure(c->sample_rate, m_channels, format);
      ^~~~~~~~~
  src/plugins/Input/ffmpeg/../../../qmmp/decoder.h:177:10: note: candidate function not viable: no known conversion from 'DecoderFFmpeg' to 'Decoder' for object argument
      void configure(quint32 srate, int channels, Qmmp::AudioFormat f = Qmmp::PCM_S16LE);
           ^
  src/plugins/Input/ffmpeg/../../../qmmp/decoder.h:170:10: note: candidate function not viable: no known conversion from 'DecoderFFmpeg' to 'Decoder' for object argument
      void configure(quint32 srate, const ChannelMap &map, Qmmp::AudioFormat f = Qmmp::PCM_S16LE);
           ^
  src/plugins/Input/ffmpeg/../../../qmmp/decoder.h:182:10: note: candidate function not viable: requires single argument 'p', but 3 arguments were provided
      void configure(const AudioParameters &p);
           ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/multimedia/qmmp-qt5/Makefile
  head/multimedia/qmmp-qt5/files/
  head/multimedia/qmmp-qt5/files/patch-ffmpeg4
Comment 56 commit-hook freebsd_committer 2018-05-02 17:41:24 UTC
A commit references this bug:

Author: jbeich
Date: Wed May  2 17:41:01 UTC 2018
New revision: 468858
URL: https://svnweb.freebsd.org/changeset/ports/468858

Log:
  net-p2p/retroshare: unbreak with ffmpeg 4.0

  gui/VideoProcessor.cpp:456:40: error: use of undeclared identifier 'CODEC_CAP_TRUNCATED'
      if (encoding_codec->capabilities & CODEC_CAP_TRUNCATED)
                                         ^
  gui/VideoProcessor.cpp:457:36: error: use of undeclared identifier 'CODEC_FLAG_TRUNCATED'
          encoding_context->flags |= CODEC_FLAG_TRUNCATED;
                                     ^
  gui/VideoProcessor.cpp:458:32: error: use of undeclared identifier 'CODEC_FLAG_PSNR'
      encoding_context->flags |= CODEC_FLAG_PSNR;//Peak signal-to-noise ratio
                                 ^
  gui/VideoProcessor.cpp:459:32: error: use of undeclared identifier 'CODEC_CAP_PARAM_CHANGE'
      encoding_context->flags |= CODEC_CAP_PARAM_CHANGE;
                                 ^
  gui/VideoProcessor.cpp:552:39: error: use of undeclared identifier 'CODEC_CAP_TRUNCATED'
      if(decoding_codec->capabilities & CODEC_CAP_TRUNCATED)
                                        ^
  gui/VideoProcessor.cpp:553:36: error: use of undeclared identifier 'CODEC_FLAG_TRUNCATED'
          decoding_context->flags |= CODEC_FLAG_TRUNCATED; // we do not send complete frames
                                     ^
  gui/VideoProcessor.cpp:555:33: error: use of undeclared identifier 'CODEC_FLAG2_CHUNKS'
      decoding_context->flags2 |= CODEC_FLAG2_CHUNKS;
                                  ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/net-p2p/retroshare/Makefile
  head/net-p2p/retroshare/files/patch-ffmpeg4
Comment 57 commit-hook freebsd_committer 2018-05-02 18:31:07 UTC
A commit references this bug:

Author: jbeich
Date: Wed May  2 18:30:14 UTC 2018
New revision: 468862
URL: https://svnweb.freebsd.org/changeset/ports/468862

Log:
  multimedia/zoneminder{,-h264}: unbreak with ffmpeg 4.0

  src/zm_mpeg.cpp:243:19: error: use of undeclared identifier 'CODEC_FLAG_QSCALE'
        c->flags |= CODEC_FLAG_QSCALE;
                    ^
  src/zm_mpeg.cpp:268:19: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
        c->flags |= CODEC_FLAG_GLOBAL_HEADER;
                    ^
  src/zm_mpeg.cpp:428:22: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
    if ( !(of->flags & AVFMT_RAWPICTURE) )
                       ^
  src/zm_mpeg.cpp:675:20: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
    if ( of->flags & AVFMT_RAWPICTURE )
                     ^
  src/zm_sdp.cpp:497:38: error: use of undeclared
        identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
                       packet_size, 0, FF_INPUT_BUFFER_PADDING_SIZE);
                                       ^
  src/zm_videostore.cpp:116:31: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
      video_st->codec->flags |= CODEC_FLAG_GLOBAL_HEADER;
                                ^
  src/zm_videostore.cpp:149:35: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
          audio_st->codec->flags |= CODEC_FLAG_GLOBAL_HEADER;
                                    ^
  src/zm_videostore.cpp:286:74: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
    if (video_st->codec->codec_type == AVMEDIA_TYPE_VIDEO && (fmt->flags & AVFMT_RAWPICTURE)) {
                                                                           ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/multimedia/zoneminder/Makefile
  head/multimedia/zoneminder/files/patch-ffmpeg4
  head/multimedia/zoneminder-h264/Makefile
  head/multimedia/zoneminder-h264/files/patch-ffmpeg4
Comment 58 commit-hook freebsd_committer 2018-05-03 16:11:00 UTC
A commit references this bug:

Author: jbeich
Date: Thu May  3 16:10:22 UTC 2018
New revision: 468936
URL: https://svnweb.freebsd.org/changeset/ports/468936

Log:
  multimedia/lives: unbreak with ffmpeg 4.0

  flv_decoder.c:468:44: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
    priv->ctx->extradata = av_mallocz(size + FF_INPUT_BUFFER_PADDING_SIZE);
                                             ^

  PR:		227726
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream (LiVES 2.8.8)

Changes:
  head/multimedia/lives/Makefile
  head/multimedia/lives/files/patch-ffmpeg4
Comment 59 commit-hook freebsd_committer 2018-05-03 16:35:21 UTC
A commit references this bug:

Author: jbeich
Date: Thu May  3 16:34:19 UTC 2018
New revision: 468938
URL: https://svnweb.freebsd.org/changeset/ports/468938

Log:
  multimedia/libquicktime: unbreak with ffmpeg 4.0

  audio.c:549:37: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
      codec->pkt.size = packet_size + FF_INPUT_BUFFER_PADDING_SIZE;
                                      ^

  PR:		227726
  Reported by:	antoine (via exp-run)
  Obtained from:	Gentoo

Changes:
  head/multimedia/libquicktime/Makefile
  head/multimedia/libquicktime/files/patch-z-ffmpeg4
Comment 60 commit-hook freebsd_committer 2018-05-03 18:38:21 UTC
A commit references this bug:

Author: jbeich
Date: Thu May  3 18:38:06 UTC 2018
New revision: 468955
URL: https://svnweb.freebsd.org/changeset/ports/468955

Log:
  multimedia/dvdstyler: unbreak with ffmpeg 4.0

  mediaenc_ffmpeg.cpp:215:18: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
              c->flags |= CODEC_FLAG_GLOBAL_HEADER;
                          ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/multimedia/dvdstyler/Makefile
  head/multimedia/dvdstyler/files/patch-src_mediaenc__ffmpeg.cpp
Comment 61 commit-hook freebsd_committer 2018-05-03 19:02:42 UTC
A commit references this bug:

Author: jbeich
Date: Thu May  3 19:02:29 UTC 2018
New revision: 468975
URL: https://svnweb.freebsd.org/changeset/ports/468975

Log:
  x11-toolkits/nucleo: unbreak with ffmpeg 4.0

  ffmpegImageSink.cxx:137:39: error: use of undeclared identifier 'AVFMT_RAWPICTURE'
      } else if (output_format->flags & AVFMT_RAWPICTURE) {
                                        ^
  ffmpegImageSink.cxx:198:20: error: no member named 'me_method' in 'AVCodecContext'
      codec_context->me_method = ME_EPZS ; // ME_ZERO
      ~~~~~~~~~~~~~  ^
  ffmpegImageSink.cxx:198:32: error: use of undeclared identifier 'ME_EPZS'
      codec_context->me_method = ME_EPZS ; // ME_ZERO
                                 ^
  ffmpegImageSink.cxx:212:27: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
           codec_context->flags |= CODEC_FLAG_GLOBAL_HEADER ;
                                   ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/x11-toolkits/nucleo/Makefile
  head/x11-toolkits/nucleo/files/patch-nucleo__plugins__ffmpeg__ffmpegImageSink.cxx
Comment 62 commit-hook freebsd_committer 2018-05-03 19:20:59 UTC
A commit references this bug:

Author: jbeich
Date: Thu May  3 19:20:29 UTC 2018
New revision: 468978
URL: https://svnweb.freebsd.org/changeset/ports/468978

Log:
  audio/idjc: unbreak with ffmpeg 4.0

  avcodec_encoder.c:118:78: error: 'FF_INPUT_BUFFER_PADDING_SIZE' undeclared (first use in this function)
           if (posix_memalign((void *)&s->inbuf, BYTE_ALIGNMENT, s->inbufsize + FF_INPUT_BUFFER_PADDING_SIZE)) {
                                                                                ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
  avcodec_encoder.c:125:68: error: 'FF_MIN_BUFFER_SIZE' undeclared (first use in this function)
           if (posix_memalign((void *)&s->avpkt.data, BYTE_ALIGNMENT, FF_MIN_BUFFER_SIZE)) {
                                                                      ^~~~~~~~~~~~~~~~~~
  avcodec_encoder.c:199:52: error: 'CODEC_CAP_DELAY' undeclared (first use in this function)
               if (final && (s->codec->capabilities | CODEC_CAP_DELAY)) {
                                                      ^~~~~~~~~~~~~~~
  avcodec_encoder.c:212:71: error: 'CODEC_CAP_VARIABLE_FRAME_SIZE' undeclared (first use in this function)
               if (!final || s->codec->capabilities & (CODEC_CAP_DELAY | CODEC_CAP_VARIABLE_FRAME_SIZE | CODEC_CAP_SMALL_LAST_FRAME)) {
                                                                         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  avcodec_encoder.c:212:103: error: 'CODEC_CAP_SMALL_LAST_FRAME' undeclared (first use in this function)
               if (!final || s->codec->capabilities & (CODEC_CAP_DELAY | CODEC_CAP_VARIABLE_FRAME_SIZE | CODEC_CAP_SMALL_LAST_FRAME)) {
                                                                                                         ^~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/audio/idjc/Makefile
  head/audio/idjc/files/
  head/audio/idjc/files/patch-c_avcodec__encoder.c
Comment 63 commit-hook freebsd_committer 2018-05-03 19:51:24 UTC
A commit references this bug:

Author: jbeich
Date: Thu May  3 19:50:40 UTC 2018
New revision: 468981
URL: https://svnweb.freebsd.org/changeset/ports/468981

Log:
  multimedia/vdr-plugin-markad: unbreak with ffmpeg 4.0

  decoder.cpp:175:23: error: use of undeclared identifier 'AV_CODEC_ID_MPEG2VIDEO_XVMC'; did you mean 'AV_CODEC_ID_MPEG2VIDEO'?
          video_codecid=AV_CODEC_ID_MPEG2VIDEO_XVMC;
                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~
                        AV_CODEC_ID_MPEG2VIDEO
  /usr/local/include/libavcodec/avcodec.h:220:5: note: 'AV_CODEC_ID_MPEG2VIDEO' declared here
      AV_CODEC_ID_MPEG2VIDEO, ///< preferred ID for MPEG-1/2 video decoding
      ^
  decoder.cpp:179:43: error: use of undeclared identifier 'AV_CODEC_ID_MPEG2VIDEO_XVMC'; did you mean 'AV_CODEC_ID_MPEG2VIDEO'?
      if ((!video_codec) && (video_codecid==AV_CODEC_ID_MPEG2VIDEO_XVMC))
                                            ^~~~~~~~~~~~~~~~~~~~~~~~~~~
                                            AV_CODEC_ID_MPEG2VIDEO
  /usr/local/include/libavcodec/avcodec.h:220:5: note: 'AV_CODEC_ID_MPEG2VIDEO' declared here
      AV_CODEC_ID_MPEG2VIDEO, ///< preferred ID for MPEG-1/2 video decoding
      ^
  decoder.cpp:191:45: error: use of undeclared identifier 'CODEC_CAP_TRUNCATED'
              if (video_codec->capabilities & CODEC_CAP_TRUNCATED)
                                              ^
  decoder.cpp:192:39: error: use of undeclared identifier 'CODEC_FLAG_TRUNCATED'
                  video_context->flags|=CODEC_FLAG_TRUNCATED; // we do not send complete frames
                                        ^
  decoder.cpp:194:36: error: use of undeclared identifier 'CODEC_FLAG2_FAST'
              video_context->flags2|=CODEC_FLAG2_FAST; // really?
                                     ^
  decoder.cpp:201:40: error: use of undeclared identifier 'CODEC_FLAG2_CHUNKS'
                  video_context->flags2|=CODEC_FLAG2_CHUNKS; // needed for H264!
                                         ^
  decoder.cpp:214:46: error: use of undeclared identifier 'AV_CODEC_ID_MPEG2VIDEO_XVMC'; did you mean 'AV_CODEC_ID_MPEG2VIDEO'?
              if ((ret < 0) && (video_codecid==AV_CODEC_ID_MPEG2VIDEO_XVMC))
                                               ^~~~~~~~~~~~~~~~~~~~~~~~~~~
                                               AV_CODEC_ID_MPEG2VIDEO
  /usr/local/include/libavcodec/avcodec.h:220:5: note: 'AV_CODEC_ID_MPEG2VIDEO' declared here
      AV_CODEC_ID_MPEG2VIDEO, ///< preferred ID for MPEG-1/2 video decoding
      ^
  decoder.cpp:224:43: error: no member named 'codec_name' in 'AVCodecContext'; did you mean 'coded_frame'?
                      memset(video_context->codec_name,0,sizeof(video_context->codec_name));
                                            ^~~~~~~~~~
                                            coded_frame
  /usr/local/include/libavcodec/avcodec.h:2760:35: note: 'coded_frame' declared here
      attribute_deprecated AVFrame *coded_frame;
                                    ^
  decoder.cpp:224:78: error: no member named 'codec_name' in 'AVCodecContext'
                      memset(video_context->codec_name,0,sizeof(video_context->codec_name));
                                                                ~~~~~~~~~~~~~  ^
  decoder.cpp:244:22: error: use of undeclared identifier 'AV_CODEC_ID_MPEG2VIDEO_XVMC'; did you mean 'AV_CODEC_ID_MPEG2VIDEO'?
                  case AV_CODEC_ID_MPEG2VIDEO_XVMC:
                       ^~~~~~~~~~~~~~~~~~~~~~~~~~~
                       AV_CODEC_ID_MPEG2VIDEO
  /usr/local/include/libavcodec/avcodec.h:220:5: note: 'AV_CODEC_ID_MPEG2VIDEO' declared here
      AV_CODEC_ID_MPEG2VIDEO, ///< preferred ID for MPEG-1/2 video decoding
      ^
  decoder.cpp:247:22: error: duplicate case value 'AV_CODEC_ID_MPEG2VIDEO'
                  case AV_CODEC_ID_MPEG2VIDEO:
                       ^
  decoder.cpp:244:22: note: previous case defined here
                  case AV_CODEC_ID_MPEG2VIDEO_XVMC:
                       ^
  decoder.cpp:305:14: error: use of undeclared identifier 'AV_CODEC_ID_MPEG2VIDEO_XVMC'; did you mean 'AV_CODEC_ID_MPEG2VIDEO'?
          case AV_CODEC_ID_MPEG2VIDEO_XVMC:
               ^~~~~~~~~~~~~~~~~~~~~~~~~~~
               AV_CODEC_ID_MPEG2VIDEO
  /usr/local/include/libavcodec/avcodec.h:220:5: note: 'AV_CODEC_ID_MPEG2VIDEO' declared here
      AV_CODEC_ID_MPEG2VIDEO, ///< preferred ID for MPEG-1/2 video decoding
      ^
  decoder.cpp:308:14: error: duplicate case value 'AV_CODEC_ID_MPEG2VIDEO'
          case AV_CODEC_ID_MPEG2VIDEO:
               ^
  decoder.cpp:305:14: note: previous case defined here
          case AV_CODEC_ID_MPEG2VIDEO_XVMC:
               ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/multimedia/vdr-plugin-markad/Makefile
  head/multimedia/vdr-plugin-markad/files/patch-command_decoder.cpp
Comment 64 commit-hook freebsd_committer 2018-05-04 11:40:11 UTC
A commit references this bug:

Author: jbeich
Date: Fri May  4 11:39:58 UTC 2018
New revision: 469015
URL: https://svnweb.freebsd.org/changeset/ports/469015

Log:
  multimedia/bino: unbreak with ffmpeg 4.0

  media_object.cpp:908:60: error: use of undeclared identifier 'CODEC_CAP_DR1'
              if (lowres || (codec && (codec->capabilities & CODEC_CAP_DR1)))
                                                             ^
  media_object.cpp:909:37: error: use of undeclared identifier 'CODEC_FLAG_EMU_EDGE'
                  codec_ctx->flags |= CODEC_FLAG_EMU_EDGE;
                                      ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/multimedia/bino/Makefile
  head/multimedia/bino/files/patch-src_media__object.cpp
Comment 65 commit-hook freebsd_committer 2018-05-04 11:41:14 UTC
A commit references this bug:

Author: jbeich
Date: Fri May  4 11:40:15 UTC 2018
New revision: 469016
URL: https://svnweb.freebsd.org/changeset/ports/469016

Log:
  multimedia/ccextractor: unbreak with ffmpeg 4.0

  src/lib_ccx/ffmpeg_intgr.c:5:10: fatal error: 'libavfilter/avfiltergraph.h' file not found
           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/multimedia/ccextractor/Makefile
  head/multimedia/ccextractor/files/patch-src_lib__ccx_ffmpeg__intgr.c
Comment 66 commit-hook freebsd_committer 2018-05-04 11:41:16 UTC
A commit references this bug:

Author: jbeich
Date: Fri May  4 11:40:30 UTC 2018
New revision: 469017
URL: https://svnweb.freebsd.org/changeset/ports/469017

Log:
  multimedia/miro: unbreak with ffmpeg 4.0

  linux/miro-segmenter.c:103:48: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
                  output_codec_context->flags |= CODEC_FLAG_GLOBAL_HEADER;
                                                 ^
  linux/miro-segmenter.c:270:46: error: no member named 'pts' in 'struct AVStream'
              segment_time = (double)video_st->pts.val * video_st->time_base.num / video_st->time_base.den;
                                     ~~~~~~~~  ^
  linux/miro-segmenter.c:273:46: error: no member named 'pts' in 'struct AVStream'
              segment_time = (double)audio_st->pts.val * audio_st->time_base.num / audio_st->time_base.den;
                                     ~~~~~~~~  ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/multimedia/miro/Makefile
  head/multimedia/miro/files/patch-linux_miro-segmenter.c
Comment 67 commit-hook freebsd_committer 2018-05-04 11:41:19 UTC
A commit references this bug:

Author: jbeich
Date: Fri May  4 11:40:45 UTC 2018
New revision: 469018
URL: https://svnweb.freebsd.org/changeset/ports/469018

Log:
  graphics/php5-ffmpeg: unbreak with ffmpeg 4.0

  ffmpeg_movie.c:978:29: error: no member named 'codec_name' in 'struct AVCodecContext'; did you mean 'coded_frame'?
      } else if (decoder_ctx->codec_name[0] != '\0') {
                              ^~~~~~~~~~
                              coded_frame
  /usr/local/include/libavcodec/avcodec.h:2760:35: note: 'coded_frame' declared here
      attribute_deprecated AVFrame *coded_frame;
                                    ^
  ffmpeg_movie.c:978:43: error: invalid operands to binary expression ('AVFrame' (aka 'struct AVFrame') and 'int')
      } else if (decoder_ctx->codec_name[0] != '\0') {
                 ~~~~~~~~~~~~~~~~~~~~~~~~~~ ^  ~~~~
  ffmpeg_movie.c:979:35: error: no member named 'codec_name' in 'struct AVCodecContext'
          codec_name = decoder_ctx->codec_name;
                       ~~~~~~~~~~~  ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/graphics/php5-ffmpeg/Makefile
  head/graphics/php5-ffmpeg/files/patch-ffmpeg_movie.c
Comment 68 commit-hook freebsd_committer 2018-05-04 11:41:21 UTC
A commit references this bug:

Author: jbeich
Date: Fri May  4 11:40:59 UTC 2018
New revision: 469019
URL: https://svnweb.freebsd.org/changeset/ports/469019

Log:
  audio/forked-daapd: unbreak with ffmpeg 4.0

  artwork.c:448:19: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
      dst->flags |= CODEC_FLAG_GLOBAL_HEADER;
                    ^
  transcode.c:29:10: fatal error: 'libavfilter/avfiltergraph.h' file not found
           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  transcode.c:562:76: error: use of undeclared identifier 'CODEC_CAP_DELAY'
    if (!(ctx->ofmt_ctx->streams[stream_index]->codec->codec->capabilities & CODEC_CAP_DELAY))
                                                                             ^
  transcode.c:807:20: error: use of undeclared identifier 'CODEC_FLAG_GLOBAL_HEADER'
          enc_ctx->flags |= CODEC_FLAG_GLOBAL_HEADER;
                            ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/audio/forked-daapd/Makefile
  head/audio/forked-daapd/files/patch-ffmpeg4
Comment 69 commit-hook freebsd_committer 2018-05-04 11:42:24 UTC
A commit references this bug:

Author: jbeich
Date: Fri May  4 11:41:14 UTC 2018
New revision: 469020
URL: https://svnweb.freebsd.org/changeset/ports/469020

Log:
  audio/libgroove: unbreak with ffmpeg 4.0

  groove/encoder.c:619:59: error: use of undeclared identifier 'CODEC_CAP_VARIABLE_FRAME_SIZE'
      e->sink->buffer_sample_count = (codec->capabilities & CODEC_CAP_VARIABLE_FRAME_SIZE) ?
                                                            ^
  groove/file.c:284:66: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
          uint64_t extra_size = (uint64_t)icodec->extradata_size + FF_INPUT_BUFFER_PADDING_SIZE;
                                                                   ^
  groove/playlist.c:189:63: error: use of undeclared identifier 'CODEC_CAP_DELAY'
              if (!pkt_temp->data && dec->codec->capabilities & CODEC_CAP_DELAY)
                                                                ^
  groove/playlist.c:574:55: error: use of undeclared identifier 'CODEC_CAP_DELAY'
          if (f->audio_st->codec->codec->capabilities & CODEC_CAP_DELAY) {
                                                        ^
  groove/playlist.c:990:22: error: assigning to 'AVFilter *' (aka 'struct AVFilter *') from 'const AVFilter *' (aka 'const struct AVFilter *') discards qualifiers [-Werror,-Wincompatible-pointer-types-discards-qualifiers]
      p->volume_filter = avfilter_get_by_name("volume");
                       ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  groove/playlist.c:997:23: error: assigning to 'AVFilter *' (aka 'struct AVFilter *') from 'const AVFilter *' (aka 'const struct AVFilter *') discards qualifiers [-Werror,-Wincompatible-pointer-types-discards-qualifiers]
      p->compand_filter = avfilter_get_by_name("compand");
                        ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  groove/playlist.c:1004:23: error: assigning to 'AVFilter *' (aka 'struct AVFilter *') from 'const AVFilter *' (aka 'const struct AVFilter *') discards qualifiers [-Werror,-Wincompatible-pointer-types-discards-qualifiers]
      p->abuffer_filter = avfilter_get_by_name("abuffer");
                        ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  groove/playlist.c:1011:22: error: assigning to 'AVFilter *' (aka 'struct AVFilter *') from 'const AVFilter *' (aka 'const struct AVFilter *') discards qualifiers [-Werror,-Wincompatible-pointer-types-discards-qualifiers]
      p->asplit_filter = avfilter_get_by_name("asplit");
                       ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  groove/playlist.c:1018:23: error: assigning to 'AVFilter *' (aka 'struct AVFilter *') from 'const AVFilter *' (aka 'const struct AVFilter *') discards qualifiers [-Werror,-Wincompatible-pointer-types-discards-qualifiers]
      p->aformat_filter = avfilter_get_by_name("aformat");
                        ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  groove/playlist.c:1025:27: error: assigning to 'AVFilter *' (aka 'struct AVFilter *') from 'const AVFilter *' (aka 'const struct AVFilter *') discards qualifiers [-Werror,-Wincompatible-pointer-types-discards-qualifiers]
      p->abuffersink_filter = avfilter_get_by_name("abuffersink");
                            ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/audio/libgroove/Makefile
  head/audio/libgroove/files/patch-ffmpeg4
Comment 70 commit-hook freebsd_committer 2018-05-04 11:42:26 UTC
A commit references this bug:

Author: jbeich
Date: Fri May  4 11:41:29 UTC 2018
New revision: 469021
URL: https://svnweb.freebsd.org/changeset/ports/469021

Log:
  multimedia/simplescreenrecorder: unbreak with ffmpeg 4.0

  src/AV/Output/AudioEncoder.cpp:61:51: error: use of undeclared identifier 'CODEC_CAP_VARIABLE_FRAME_SIZE'
          return (GetCodecContext()->codec->capabilities & CODEC_CAP_VARIABLE_FRAME_SIZE)? DEFAULT_FRAME_SAMPLES : GetCodecContext()->frame_size;
                                                           ^
  src/AV/Output/AudioEncoder.cpp:125:28: error: use of undeclared identifier 'CODEC_FLAG_QSCALE'
                          codec_context->flags |= CODEC_FLAG_QSCALE;
                                                  ^

  PR:		227726
  Reported by:	antoine (via exp-run)

Changes:
  head/multimedia/simplescreenrecorder/Makefile
  head/multimedia/simplescreenrecorder/files/patch-ffmpeg4
Comment 71 Jan Beich freebsd_committer 2018-05-04 11:43:31 UTC
(In reply to Antoine Brodin from comment #44)
> + {"origin"=>"multimedia/dvbcut", "phase"=>"build", "errortype"=>"clang"}

Fixed by ports r469010.
Comment 72 Antoine Brodin freebsd_committer 2018-05-04 20:02:01 UTC
It seems that net/guacamole-server now fails to build,  which was not noticed during exp-run (skipped because of freerdp1)
Comment 73 Jan Beich freebsd_committer 2018-05-04 21:02:17 UTC
Here's the remaining fallout:
- games/retroarch has an upstream fix and pending update
- graphics/openfx-io landed after exp-run
- net/freerdp1 upstream fix doesn't apply
- net/guacamole-server -Werror usage

Most bustage comes down to:
- libavfilter/avfiltergraph.h -> drop or replace with libavfilter/avfilter.h
- FF_INPUT_BUFFER_PADDING_SIZE -> AV_INPUT_BUFFER_PADDING_SIZE
- FF_MIN_BUFFER_SIZE -> AV_INPUT_BUFFER_MIN_SIZE
- FF_MAX_B_FRAMES -> INT_MAX
- CODEC_(CAP|FLAG)_* -> AV_CODEC_(CAP|FLAG)_*
- CODEC_FLAG_EMU_EDGE and AVFMT_RAWPICTURE can be removed or ifdef'd out
- avctx->foo -> av_opt_set(avctx->priv_data, "foo", ...) but check "foo" spelling and type
- avctx->codec_name -> avcodec_get_name(avctx->codec_id)
- avstream->pts -> av_stream_get_end_pts(avstream)

multimedia/gstreamer1-libav simply had a very large number of errors.
Comment 74 Carlos J. Puga Medina freebsd_committer 2018-05-06 16:15:32 UTC
(In reply to Jan Beich from comment #51)

Hi Jan,

Please, see bug 227994 for more details.
Comment 75 commit-hook freebsd_committer 2018-05-09 20:02:31 UTC
A commit references this bug:

Author: jbeich
Date: Wed May  9 20:01:33 UTC 2018
New revision: 469464
URL: https://svnweb.freebsd.org/changeset/ports/469464

Log:
  net/guacamole-server: unbreak and re-enable GUACENC

  PR:		227726
  Approved by:	ultima (maintainer)

Changes:
  head/net/guacamole-server/Makefile
Comment 76 Jan Beich freebsd_committer 2018-06-18 13:49:39 UTC
CVE-2018-6912, CVE-2018-7751, CVE-2018-7557 are fixed in 4.0 according to https://ffmpeg.org/security.html.
Comment 77 commit-hook freebsd_committer 2018-06-18 14:07:24 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jun 18 14:07:19 UTC 2018
New revision: 472695
URL: https://svnweb.freebsd.org/changeset/ports/472695

Log:
  multimedia/ffmpeg: update to 4.0.1

  Changes:	https://git.ffmpeg.org/gitweb/ffmpeg.git/blob/n4.0.1:/Changelog
  ABI:		https://abi-laboratory.pro/tracker/timeline/ffmpeg/
  Security:	CVE-2018-12458, CVE-2018-12459, CVE-2018-12460
  PR:		227726 (for tracking)

Changes:
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpeg/distinfo
Comment 78 commit-hook freebsd_committer 2018-07-18 21:39:36 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jul 18 21:39:06 UTC 2018
New revision: 474903
URL: https://svnweb.freebsd.org/changeset/ports/474903

Log:
  multimedia/ffmpeg: update to 4.0.2

  Changes:	https://git.ffmpeg.org/gitweb/ffmpeg.git/blob/n4.0.2:/Changelog
  ABI:		https://abi-laboratory.pro/tracker/timeline/ffmpeg/
  Security:	CVE-2018-1330[0-4]
  PR:		227726 (for tracking)
  MFH:		2018Q3

Changes:
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpeg/distinfo
Comment 79 commit-hook freebsd_committer 2018-10-28 00:53:09 UTC
A commit references this bug:

Author: jbeich
Date: Sun Oct 28 00:52:31 UTC 2018
New revision: 483209
URL: https://svnweb.freebsd.org/changeset/ports/483209

Log:
  multimedia/omxplayer: unbreak with ffmpeg 4

  In file included from BitstreamConverter.cpp:26:
  In file included from ./BitstreamConverter.h:27:
  ./DllAvFormat.h:117:49: error: no member named 'url_feof' in the global namespace; did you mean simply 'url_feof'?
    virtual int url_feof(AVIOContext *s) { return ::url_feof(s); }
                                                  ^~~~~~~~~~
                                                  url_feof
  ./DllAvFormat.h:117:15: note: 'url_feof' declared here
    virtual int url_feof(AVIOContext *s) { return ::url_feof(s); }
                ^
  OMXReader.cpp:1028:42: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
      pkt->data = (uint8_t*) malloc(size + FF_INPUT_BUFFER_PADDING_SIZE);
                                           ^
  OMXReader.cpp:1036:35: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
        memset(pkt->data + size, 0, FF_INPUT_BUFFER_PADDING_SIZE);
                                    ^

  PR:		227726
  Obtained from:	upstream

Changes:
  head/multimedia/omxplayer/Makefile
  head/multimedia/omxplayer/distinfo
Comment 80 commit-hook freebsd_committer 2018-10-28 00:59:16 UTC
A commit references this bug:

Author: jbeich
Date: Sun Oct 28 00:59:07 UTC 2018
New revision: 483211
URL: https://svnweb.freebsd.org/changeset/ports/483211

Log:
  MFH: r483209

  multimedia/omxplayer: unbreak with ffmpeg 4

  In file included from BitstreamConverter.cpp:26:
  In file included from ./BitstreamConverter.h:27:
  ./DllAvFormat.h:117:49: error: no member named 'url_feof' in the global namespace; did you mean simply 'url_feof'?
    virtual int url_feof(AVIOContext *s) { return ::url_feof(s); }
                                                  ^~~~~~~~~~
                                                  url_feof
  ./DllAvFormat.h:117:15: note: 'url_feof' declared here
    virtual int url_feof(AVIOContext *s) { return ::url_feof(s); }
                ^
  OMXReader.cpp:1028:42: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
      pkt->data = (uint8_t*) malloc(size + FF_INPUT_BUFFER_PADDING_SIZE);
                                           ^
  OMXReader.cpp:1036:35: error: use of undeclared identifier 'FF_INPUT_BUFFER_PADDING_SIZE'
        memset(pkt->data + size, 0, FF_INPUT_BUFFER_PADDING_SIZE);
                                    ^

  PR:		227726
  Obtained from:	upstream
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2018Q4/
  branches/2018Q4/multimedia/omxplayer/Makefile
  branches/2018Q4/multimedia/omxplayer/distinfo
Comment 81 commit-hook freebsd_committer 2018-11-03 09:38:39 UTC
A commit references this bug:

Author: jbeich
Date: Sat Nov  3 09:38:19 UTC 2018
New revision: 483883
URL: https://svnweb.freebsd.org/changeset/ports/483883

Log:
  multimedia/ffmpeg: update to 4.0.3

  Changes:	https://git.ffmpeg.org/gitweb/ffmpeg.git/blob/n4.0.3:/Changelog
  ABI:		https://abi-laboratory.pro/tracker/timeline/ffmpeg/
  PR:		227726 (for tracking)
  Security:	CVE-2018-15822
  MFH:		2018Q4 (bug and fuzz fixes)

Changes:
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpeg/distinfo
Comment 82 commit-hook freebsd_committer 2018-11-07 03:39:14 UTC
A commit references this bug:

Author: jbeich
Date: Wed Nov  7 03:39:05 UTC 2018
New revision: 484382
URL: https://svnweb.freebsd.org/changeset/ports/484382

Log:
  MFH: r483883

  multimedia/ffmpeg: update to 4.0.3

  Changes:	https://git.ffmpeg.org/gitweb/ffmpeg.git/blob/n4.0.3:/Changelog
  ABI:		https://abi-laboratory.pro/tracker/timeline/ffmpeg/
  PR:		227726 (for tracking)
  Security:	CVE-2018-15822
  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/multimedia/ffmpeg/Makefile
  branches/2018Q4/multimedia/ffmpeg/distinfo